CREATE OR REPLACE PACKAGE BODY ut_weirdcalculations IS
/******************************************************************************
   NAME:       ut_weirdcalculations
   PURPOSE:    This package contains the unittests for the weirdcalculations package
                NB This documentation will not be part of the pldoc generated documentation

   REVISIONS:
   Ver        Date        Author           Description
   ---------  ----------  ---------------  ------------------------------------
   1.0        02-8-2005   Aino Andriessen   1. Created this package.
******************************************************************************/

  procedure ut_setup IS
    /**
     *  This method is executed just before each unittest is executed
     *  
     */
  begin
    null;
  end ut_setup;
  
  procedure ut_teardown IS
    /**
     *  This method is executed just after each unittest is executed
     *  
     */
  begin
    null;  
  end ut_teardown;
  
  procedure ut_weirdcalculation1 IS
    /**
     *  Perform the unittests for weirdcalculation1
     *
     *  @see weirdcalculations.weirdcalculation1
     */
  begin
    utassert.eq ('Test even',               weirdcalculations.weirdcalculation1(10),                50);
    utassert.eq ('Test even',               weirdcalculations.weirdcalculation1(2),                 2);
    utassert.eq ('Test odd',                weirdcalculations.weirdcalculation1(1),                 0.5);
    utassert.eq ('Test decimal',            weirdcalculations.weirdcalculation1(2.5),               3.125);
    utassert.eq ('Test 0',                  weirdcalculations.weirdcalculation1(0),                 0);
    utassert.eq ('Test negative even',      weirdcalculations.weirdcalculation1(-4),                8);
    utassert.eq ('Test negative odd',       weirdcalculations.weirdcalculation1(-5),                12.5);
    utassert.eq ('Test negative decimal',   weirdcalculations.weirdcalculation1(-2.5),              3.125);
    utassert.eq ('Test slightly extreme',   weirdcalculations.weirdcalculation1(1000000000000000),  500000000000000000000000000000);
  end ut_weirdcalculation1;

  procedure ut_weirdcalculation2 IS
    /**
     *  Perform the unittests for weirdcalculation2
     *  @TODO   IMPLEMENTATION
     *
     *  @see weirdcalculations.weirdcalculation2
     */
  begin
        NULL;
  end ut_weirdcalculation2;


end ut_weirdcalculations;
/

